Skip to main content
POST
Run an ad-hoc script on a device
Key: Write Scope: Company

Authorizations

Authorization
string
header
required

Use your Primo API key in the Authorization header as Bearer <API_KEY>.

Path Parameters

deviceId
string
required

Body

application/json
scriptContents
string
required

The shell (bash/zsh) or PowerShell script to run on the device. Sent inline and executed via FleetDM.

Required string length: 1 - 10000

Response

default - application/json
id
string
required

Identifier of the script run record.

executionId
string
required

FleetDM execution id for this run.

scriptContents
string
required

The script content that was executed.

status
enum<string>
required

Run status. pending until the device reports back, then completed/errored/timeout.

Available options:
pending,
completed,
errored,
timeout
output
string | null
required

Combined stdout/stderr once the run completes. Null while pending.

exitCode
number | null
required

Process exit code once the run completes. Null while pending.

runtime
number | null
required

Run duration in seconds once the run completes. Null while pending.

createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$